/* style-my-tootltips plugin, tooltip styling */
#s-m-t-tooltip {
    /* basic */
    max-width: 200px;
    z-index: 100;
    margin: 24px 14px 7px 12px;
    /* style and design */
    border: 1px dashed #c3c6e5;
    padding: 12px;
    background: rgba(136, 163, 221, 0.938);
    /* fallback if rgba not supported */
    background: rgba(136, 163, 221, 0.938);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    -moz-box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.15), -1px -1px 0 rgba(255, 255, 255, 0.3);
    -webkit-box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.15), -1px -1px 0 rgba(255, 255, 255, 0.3);
    /* box shadow */
    box-shadow: 2px 2px 0 rgba(104, 105, 156, 0), -1px -1px 0 rgba(255, 255, 255, 0.3);
    /* font */
    font-family: Verdana, Geneva, sans-serif;
    font-size: 11px;
    line-height: 16px;
    color: #fff;
}

/* ===== Full Layouts ===== */
@font-face {
    font-family: Times New Roman;
    src: url("https://file.garden/aA2l8ug81GreC0q0/fonts/times-new-roman/Times%20New%20Roman.ttf");
}

@font-face {
    font-family: Times New Roman;
    src: url("https://file.garden/aA2l8ug81GreC0q0/fonts/times-new-roman/Times%20New%20Roman%20-%20Bold.ttf");
    font-weight: bold;
}

@font-face {
    font-family: Times New Roman;
    src: url("https://file.garden/aA2l8ug81GreC0q0/fonts/times-new-roman/Times%20New%20Roman%20-%20Italic.ttf");
    font-style: italic;
}

@font-face {
    font-family: Times New Roman;
    src: url("https://file.garden/aA2l8ug81GreC0q0/fonts/times-new-roman/Times%20New%20Roman%20-%20Bold%20Italic.ttf");
    font-style: italic;
    font-weight: bold;
}

/* ===== Body CSS ===== */
body {
    cursor: url("https://file.garden/aA2l8ug81GreC0q0/cur/miku/BlinkingCursor.gif"), auto;
    margin: 0;
    font-family: "Times New Roman", Times, serif;
    background: #f2f8f9 url(https://file.garden/aA2l8ug81GreC0q0/img/itinerae@neocities_s39ua.png) fixed;
    color: #918d84;
    padding: 20px;
    font-size: 11px;
    letter-spacing: 1px;
    text-align: left;
    line-height: 13px;
    display: flex;
    justify-content: center;
}

b {
    color: #6265d4;
}

i {
    color: #87bffb;
    font-weight: normal;
    font-style: italic;
    letter-spacing: 1px;
}

hr {
    border: none;
    height: 1px;
    /* Sets the thickness of the line */
    background-color: #2b91ac;
    /* Sets the color */
}

/* ===== Links CSS ===== */
a {
    color: #94afff;
    text-decoration: none;
    font-weight: bold;
    cursor: url("https://file.garden/aA2l8ug81GreC0q0/cur/miku/KotatsuCursor.gif"), auto;
}

a:hover {
    color: #a2cfff;
    text-decoration: none;
    cursor: url("https://file.garden/aA2l8ug81GreC0q0/cur/miku/KotatsuCursor.gif"), auto;
}

/* ===== Div Classes CSS ===== */
.extra {
    display: block;
    font-size: 12px;
    padding-left: 10px;
    margin-bottom: 4px;
    color: #94afff;
}

.center {
    /* align center */
    text-align: center;
}

.right {
    /* align right */
    text-align: right;
}

/* ===== Scrollbar CSS ===== */
::-webkit-scrollbar-thumb {
    background-color: #2b91ac;
    border: 1px solid #fff;
    border-radius: 6px;
}

::-webkit-scrollbar {
    width: 6px;
    height: 0;
    background: transparent;
}

/* ===== Boxes & Titles CSS ===== */
.box {
    background: #f0f5fd;
    padding: 5px;
    border: 1px dashed #c3c6e5;
    border-radius: 10px;
}

.title {
    font:
        15px "georgia",
        arial;
    font-weight: bold;
    color: #94afff;
    letter-spacing: 3px;
    margin-bottom: 5px;
    border-bottom: 2px solid #2b91ac;
}

.title-filled {
    background: #94afff;
    text-align: center;
    font:
        italic 13px "georgia",
        arial;
    font-weight: bold;
    color: #fff;
    text-transform: lowercase;
    letter-spacing: 3px;
    margin-bottom: 4px;
    padding: 1px;
    border-radius: 10px;
}

/* ===== Layout CSS ===== */
.container {
    max-width: 1000px;
    margin: 20px auto;
    background: #f0f5fd;
    padding: 10px;
    border-radius: 20px;
    border-width: 8px;
    border-style: solid;
    border-image: url("https://file.garden/aA2l8ug81GreC0q0/borders/widerscallops.png") 8 fill round;
}

/* Navigation */
.nav-bar {
    margin-top: 0;
    background: transparent;
    display: flex;
    justify-content: center;
    padding: 0;
}

.nav-bar a {
    color: #918d84;
    font-weight: bold;
    text-decoration: none;
    text-transform: lowercase;
    font-family: "Times New Roman", Times, serif;
    padding-bottom: 0;
    font-size: 11px;
    line-height: 15px;
    background: #fff;
    padding: 2px 10px;
    margin-left: 5px;
    margin-right: 5px;
    border: 1px dashed #c3c6e5;
    border-radius: 10px;
}

.nav-bar a:hover {
    color: #a2cfff;
    text-decoration: none;
    cursor: url("https://file.garden/aA2l8ug81GreC0q0/cur/miku/KotatsuCursor.gif"), auto;
}

/* ===== Header / Site name CSS ===== */
.sitename {
    color: #94afff;
    padding: 10px;
    margin-bottom: 10px;
    text-align: center;
    font:
        italic 26px "roman",
        georgia,
        arial;
}

/* ===== Main / Content area CSS ===== */
.content {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

.column {
    flex: 1;
    border-radius: 10px;
    padding: 3px;
    text-align: left;
}

.largecolumn {
    flex: 3;
    border-radius: 10px;
    padding: 3px;
    text-align: left;
}

/* ===== Footer CSS ===== */
.footer {
    background: #fff;
    text-align: center;
    padding: 10px;
    margin-top: 10px;
    border: 1px dashed #c3c6e5;
    border-radius: 20px;
}

/* ===== Responsiveness CSS ===== */
@media (max-width: 1100px) {
    .content {
        flex-direction: column;
    }

    .nav-bar {
        flex-direction: column;
        gap: 8px;
        align-items: center;
    }

    .nav-bar a {
        display: block;
        width: 60%;
        text-align: center;
    }
}